08NthHton6.jpg=Western Australia, Mid-West Region - Northampton wildflowers - some Everlastings in the park gardens.
08NthHton2.jpg=Western Australia, Mid-West Region - Northampton rail and minehead display.
07HRP19.jpg=Western Australia, Mid-West Region wildflowers; Banksia.
07HRP29.jpg=Western Australia, Mid-West Region wildflowers.
07HRP28.jpg=Western Australia, Mid-West Region wildflowers.
NDSC_0001 (21).JPG=Western Australia, Mid-West Region -  Principality of Hutt River. Rhinoceros beetle
08NthHtonPan09.JPG=Western Australia, Mid-West Region - Oakabella Homestead barn and camp kitchen. (panorama)
NDSC_0001 (2).JPG=Western Australia, Mid-West Region -  Principality of Hutt River.
DSC_0091.JPG=Western Australia, Mid-West Region wildflowers; Banksia.
08NthHton16.jpg=Western Australia, Mid-West Region - Oakabella Homestead's old dunny.
DSC_0001.JPG=Western Australia, Mid-West Region - leaving Oakabella Homestead with no rain overnight thankfully. Next stop Geraldton.
07HRP13.jpg=Western Australia, Mid-West Region -  Principality of Hutt River and Prince Leonard.
NDSC_0001 (79).JPG=Western Australia, Mid-West Region - Lush farmland approaching Northampton.
DSC_0050.JPG=Western Australia, Mid-West Region - St Mary's church.
07HRP15.jpg=Western Australia, Mid-West Region wildflowers.
08NthHton3.jpg=Western Australia, Mid-West Region - Northampton wildflowers
08NthHton4.jpg=Western Australia, Mid-West Region - Northampton wildflowers
DSC_0087.JPG=Western Australia, Mid-West Region - Oakabella Homestead barn.
07HRP22.jpg=Western Australia, Mid-West Region; lush farmland on the North-West Coastal highway.
DSC_0023.JPG=Western Australia, Mid-West Region wildflowers
07HRP23.jpg=Western Australia, Mid-West Region wildflowers; Foxglove.
08NthHton1.jpg=Paterson's Curse/Salvation Jane. (panorama)
DSC_0173.JPG=Western Australia, Mid-West Region -  Principality of Hutt River church.
NDSC_0001 (75).JPG=Western Australia, Mid-West Region - turn off to Principality of Hutt River.
07HRP20.jpg=Western Australia, Mid-West Region - Red Tailed Black Cockatoos.
DSC_0011.JPG=Western Australia, Mid-West Region - Northampton Uniting Church.
DSC_0040.JPG=Western Australia, Mid-West Region - Northampton Holy Trinity (1908)
DSC_0063.JPG=Western Australia, Mid-West Region - Lush farmland between Northampton and Oakabella Homestead.
NDSC_0001 (86).JPG=Western Australia, Mid-West Region - the old town of Northampton.
DSC_0048.JPG=Western Australia, Mid-West Region - St Mary's church.
DSC_0109.JPG=Western Australia, Mid-West Region - Oakabella Homestead machine shed.
07HRP21.jpg=Western Australia, Mid-West Region - Corellas and Red Tailed Black Cockatoos.
07HRP.jpg=Western Australia, Mid-West Region wildflowers
NDSC_0001 (12).JPG=Western Australia, Mid-West Region -  Principality of Hutt River grain silos
DSC_0108.JPG=Western Australia, Mid-West Region - Oakabella Homestead stables and shearing shed.
07HRP18.jpg=Western Australia, Mid-West Region wildflowers.
DSC_0130.JPG=Western Australia, Mid-West Region -  Principality of Hutt River.
DSC_0032.JPG=Western Australia, Mid-West Region; lush farmland on the North-West Coastal highway.
DSC_0100.JPG=Western Australia, Mid-West Region - Oakabella Homestead, large fig tree.
08NthHton10.jpg=Western Australia, Mid-West Region - wildflowers near Oakabella Homestead.
07HRP6.jpg=Western Australia, Mid-West Region wildflowers
DSC_0085.JPG=Western Australia, Mid-West Region - Oakabella Homestead stables and shearing shed. (panorama)
DSC_0104.JPG=Western Australia, Mid-West Region wildflowers.
08NthHtonB.jpg=Western Australia, Mid-West Region - Oakabella Homestead emu artwork.
07HRP7.jpg=Western Australia, Mid-West Region wildflowers; Everlastings
DSC_0036.JPG=Western Australia, Mid-West Region - Northampton Holy Trinity (1908)
DSC_0052.JPG=Western Australia, Mid-West Region - the old town of Northampton.
NDSC_0001 (25).JPG=Western Australia, Mid-West Region -  into the Principality of Hutt River, it was a good road, but muddy during the heavy rain spell.
DSC_0045.JPG=Western Australia, Mid-West Region - Northampton, Convent of the Sacred Heart was the home of the Presentation Sisters from 1919 to 1983.
DSC_0111.JPG=Western Australia, Mid-West Region - Oakabella Homestead stables and shearing shed.
DSC_0120.JPG=Western Australia, Mid-West Region - Oakabella Homestead stables and shearing shed.
NDSC_0001 (17).JPG=Western Australia, Mid-West Region -  Principality of Hutt River.
07HRP27.jpg=Western Australia, Mid-West Region wildflowers.
07HRP4.jpg=Western Australia, Mid-West Region wildflowers; Saltbush
08NthHtonPan05.JPG=Western Australia, Mid-West Region - Oakabella Homestead. (panorama)
07HRP5.jpg=Western Australia, Mid-West Region wildflowers
07HRP2.jpg=Western Australia, Mid-West Region wildflowers
DSC_0131.JPG=Western Australia, Mid-West Region -  Principality of Hutt River.
08NthHton13.jpg=Western Australia, Mid-West Region - Oakabella Homestead.
DSC_0157.JPG=Western Australia, Mid-West Region -  Principality of Hutt River.
08NthHton19.jpg=Western Australia, Mid-West Region - Oakabella Homestead (c1850s).
DSC_0128.JPG=Western Australia, Mid-West Region - Oakabella Homestead blacksmith's workshop.
DSC_0046.JPG=Western Australia, Mid-West Region - St Mary's church.
07HRP8.jpg=Western Australia, Mid-West Region wildflowers
DSC_0099.JPG=Western Australia, Mid-West Region - Oakabella Homestead.
DSC_0077.JPG=Western Australia, Mid-West Region - Oakabella Homestead camp kitchen.
08NthHtonA.jpg=Western Australia, Mid-West Region - Oakabella Homestead stables and shearing shed.
07HRP30.jpg=Western Australia, Mid-West Region wildflowers; Sandplain Bottlebrush.
DSC_0053.JPG=Western Australia, Mid-West Region - the old town of Northampton.
08NthHton11.jpg=Western Australia, Mid-West Region - Oakabella Homestead barn.
07HRP3.jpg=Western Australia, Mid-West Region wildflowers; Hakea
07HRP24.jpg=Western Australia, Mid-West Region wildflowers; Banksia.
DSC_0071.JPG=Western Australia, Mid-West Region - Oakabella Homestead camp kitchen.
NDSC_0001 (83).JPG=Western Australia, Mid-West Region - Lush farmland approaching Northampton.
08NthHton12.jpg=Western Australia, Mid-West Region - Oakabella Homestead barn.
07HRP17.jpg=Western Australia, Mid-West Region wildflowers.
DSC_0086.JPG=Western Australia, Mid-West Region - Oakabella Homestead.
DSC_0113.JPG=Western Australia, Mid-West Region - Oakabella Homestead wool press.
08NthHton15.jpg=Western Australia, Mid-West Region - Oakabella Homestead stables and shearing shed.
DSC_0075.JPG=Western Australia, Mid-West Region - Oakabella Homestead camp kitchen.
NDSC_0001 (55).JPG=Western Australia, Mid-West Region - Red Tailed Black Cockatoos.
DSC_0133.JPG=Western Australia, Mid-West Region -  Principality of Hutt River.
07HRP25.jpg=Western Australia, Mid-West Region wildflowers; Banksia.
DSC_0069.JPG=Western Australia, Mid-West Region; lush Canola paddock on the North-West Coastal highway.
07HRP31.jpg=Western Australia, Mid-West Region wildflowers.
07HRP10.jpg=Western Australia, Mid-West Region -  Principality of Hutt River post and government offices.
07HRP9.jpg=Paterson's Curse/Salvation Jane;  is considered a great plant for honey production but is toxic to most grazing animals and is Australia's worst broadleaf temperate pasture weed.
08NthHton8.jpg=Western Australia, Mid-West Region - Northampton Grevillea
DSC_0096.JPG=Western Australia, Mid-West Region - Oakabella Homestead.
DSC_0042.JPG=Western Australia, Mid-West Region; lush farmland on the North-West Coastal highway.
NDSC_0001 (4).JPG=Western Australia, Mid-West Region wildflowers.
08NthHton5.jpg=Western Australia, Mid-West Region - Northampton wildflowers
07HRP11.jpg=Western Australia, Mid-West Region -  Prince Leonard and Princess Shirley in bronze.
DSC_0076.JPG=Western Australia, Mid-West Region - Oakabella Homestead barn. Beehive buttresses added later to stabilise the building.
07HRP33.jpg=Western Australia, Mid-West Region wildflowers
NDSC_0001 (84).JPG=Western Australia, Mid-West Region - the old town of Northampton.
08NthHton14.jpg=Western Australia, Mid-West Region - Oakabella Homestead blacksmith's workshop.
DSC_0146crop.jpg=Western Australia, Mid-West Region -  Principality of Hutt River. Aboriginal art representation of HRP.
07HRP26.jpg=Western Australia, Mid-West Region wildflowers
08NthHtonPan02.JPG=Western Australia, Mid-West Region - Northampton Convent and St Mary's. (panorama)
NDSC_0001 (78).JPG=Western Australia, Mid-West Region - Lush farmland approaching Northampton.
07HRPPan01.JPG=Western Australia, Mid-West Region -  Principality of Hutt River. (panorama)
DSC_0066.JPG=Western Australia, Mid-West Region - another unsealed road into Oakabella Homestead.
DSC_0072.JPG=Western Australia, Mid-West Region - Oakabella Homestead camp kitchen.
DSC_0033.JPG=Western Australia, Mid-West Region - Northampton tavern.
08NthHton9.jpg=Western Australia, Mid-West Region - St Mary's church.
08NthHton17.jpg=Western Australia, Mid-West Region - Oakabella Homestead.
07HRP32.jpg=Western Australia, Mid-West Region wildflowers; Grevillea
07HRPPan03.JPG=Western Australia, Mid-West Region -  Principality of Hutt River. (panorama)
07HRP14.jpg=Western Australia, Mid-West Region -  after a wet and muddy drive into the Principality of Hutt River.
07HRP16.jpg=Western Australia, Mid-West Region wildflowers.
07HRP12.jpg=Western Australia, Mid-West Region -  Principality of Hutt River church.
HuttRiver.jpg=Western Australia, Mid-West Region -  Principality of Hutt River.
08NthHtonPan04.JPG=Western Australia, Mid-West Region - Oakabella Homestead.
08NthHtonPan07.JPG=Western Australia, Mid-West Region - Oakabella Homestead stables and shearing shed. (panorama)
07HRPPan05.JPG=Western Australia, Mid-West Region - Corellas and Red Tailed Black Cockatoos. (panorama)
